/*
 * Defines.h
 *
 *  Created on: Nov 4, 2019
 */

#ifndef DEFINES_H_
#define DEFINES_H_

#define __MSP430FR2355AEP_BRD__
//#define __MSP430FR2355_LAUNCHPAD__

#define CMD_BUFFER_SIZE 68 //1 + 4 + 63 = 68
#define SLAVE_ADDRESS 0x48


#ifdef __MSP430FR2355AEP_BRD__
#define EUSCI_BASE EUSCI_A1_BASE
#define USCI_VECTOR USCI_A1_VECTOR

#define EUSCI_I2C_BASE EUSCI_B1_BASE
#define USCI_I2C_VECTOR USCI_B1_VECTOR

#define GPIO_PORT GPIO_PORT_P2
#define GPIO_PIN GPIO_PIN2
#endif

#ifdef __MSP430FR2355_LAUNCHPAD__
#define EUSCI_BASE EUSCI_A0_BASE
#define USCI_VECTOR USCI_A0_VECTOR

#define EUSCI_I2C_BASE EUSCI_B0_BASE
#define USCI_I2C_VECTOR USCI_B0_VECTOR

#define GPIO_PORT GPIO_PORT_P1
#define GPIO_PIN GPIO_PIN0
#endif


#define READ 1
#define WRITE 0


#endif /* DEFINES_H_ */
