/*
 * MCx8323_System.h
 *
 *  Created on: Nov 4, 2019
 *      Author: a0131806
 */

#ifndef MCX8323_SYSTEM_H_
#define MCX8323_SYSTEM_H_

extern uint16_t i;
extern unsigned char RXData;
extern unsigned char TXData;

extern uint8_t check;
extern int ErrorCount;
// Pointer to TX data
extern char TXData_I2C;
extern char TXByteCtr_I2C;
extern int RXCOUNT_I2C;
extern char RXData_I2C;
extern int  MCC_Packet_Size;
extern int DLEN;
extern int EndOfWrite;
extern int resent_count;


extern unsigned char igInCmdBuffer[CMD_BUFFER_SIZE];
extern int MEMADDR_PROG;
extern unsigned char DATARD_ARRAY[MAX_PACKET_SIZE_RD] ;
extern unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR];
//unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR] = { 0xC0,0x90,0x0,0x93 } ;
extern unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR] ;
extern unsigned char NVMData[64];
extern long int NVMAddress;
extern uint32_t clockValue;


extern int MCC_RW;
extern int CRC_EN;


//*****************************************************************************
//
//XT1 Crystal Frequency being used
//
//*****************************************************************************
#define CS_XT1_CRYSTAL_FREQUENCY    4000000

//*****************************************************************************
//
//Desired Timeout for XT1 initialization
//
//*****************************************************************************
#define CS_XT1_TIMEOUT 50000




#endif /* MCX8323_SYSTEM_H_ */
