#include <msp430.h>
#include "driverlib.h"
#include "Defines.h"
#include "Board.h"
#include "MCx8323_System.h"
#include "NVM.h"



void NVM_Write()
{


    MCC_RW = WRITE;
    NVMWrite = 1;

    SLAVE_ID =  NVMSLAVEID;

    EUSCI_B_I2C_setSlaveAddress(EUSCI_I2C_BASE,
                SLAVE_ID
            );
    EndOfWrite = 0;
    EUSCI_B_I2C_setMode(EUSCI_I2C_BASE,
                        EUSCI_B_I2C_TRANSMIT_MODE
                  );

    while (EUSCI_B_I2C_SENDING_STOP == EUSCI_B_I2C_masterIsStopSent(EUSCI_I2C_BASE));

     EUSCI_B_I2C_masterSendStart(EUSCI_I2C_BASE);

     while (EndOfWrite == 0);


     int i_nvm;

           for (i_nvm = 0 ; i_nvm <64;i_nvm++)
           {
               NVMData[i_nvm]=0;
           }


}


void NVM_Read()
{

    SLAVE_ID =  NVMSLAVEID;
    MCC_RW = WRITE;
    NVMWrite = 0;
    MEMADDR_PROG=11;

    //send initial bytes
    EndOfWrite = 0;

    int wait;
    for(wait=0;wait<0xFFFF;wait++);

    EUSCI_B_I2C_setSlaveAddress(EUSCI_I2C_BASE,
                   SLAVE_ID
               );

    EUSCI_B_I2C_setMode(EUSCI_I2C_BASE,
                         EUSCI_B_I2C_TRANSMIT_MODE
                   );
    EUSCI_B_I2C_masterSendStart(EUSCI_I2C_BASE);

    while (EndOfWrite == 0);
    MEMADDR_PROG=11;
    MCC_RW = READ;

    EUSCI_B_I2C_setSlaveAddress(EUSCI_I2C_BASE,
                   SLAVE_ID
               );

       EUSCI_B_I2C_setMode(EUSCI_I2C_BASE,
                           EUSCI_B_I2C_RECEIVE_MODE
                     );
       RXCOUNT_I2C = 0;
       EUSCI_B_I2C_masterSendStart(EUSCI_I2C_BASE);



}
